services:
  cache_context.dummy_query_build:
    class: Drupal\facets_query_processor\Cache\DummyQuery
    argumets:
      type: build
    tags:
      - { name: cache.context }

  cache_context.dummy_query_pre_query:
    class: Drupal\facets_query_processor\Cache\DummyQuery
    argumets:
      type: pre_query
    tags:
      - { name: cache.context }
